> For the complete documentation index, see [llms.txt](https://docs.tankandhealerstudio.com/assets/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tankandhealerstudio.com/assets/ultimateradialmenu/documentation/ultimateradialbuttoninfo/public-methods/disablebutton.md).

# DisableButton

{% code overflow="wrap" lineNumbers="true" fullWidth="true" %}

```csharp
using UnityEngine;

public class RadialButtonInfoExample : MonoBehaviour
{
	// BE SURE TO ASSIGN THIS IN THE INSPECTOR //
	public UltimateRadialMenu radialMenu;
	public UltimateRadialButtonInfo buttonInfo;

	void Start ()
	{
		// Register the button to the menu.
		radialMenu.RegisterButton( MyCallback, buttonInfo );
		
		// After the button info has been registered, then call the DisableButton function.
		buttonInfo.DisableButton();
	}
	
	void MyCallback ()
	{
		Debug.Log( "MyCallback" );
	}
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tankandhealerstudio.com/assets/ultimateradialmenu/documentation/ultimateradialbuttoninfo/public-methods/disablebutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
